Package org.eclipse.graphiti.features.context.impl

# Class LayoutContext

java.lang.Object
org.eclipse.graphiti.PropertyBag
org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
org.eclipse.graphiti.internal.features.context.impl.base.PictogramElementContext
org.eclipse.graphiti.features.context.impl.LayoutContext

All Implemented Interfaces:
  `IContext`, `ILayoutContext`, `IPictogramElementContext`, `IPropertyBag`

Direct Known Subclasses:
  `IdLayoutContext`

public class LayoutContext extends PictogramElementContext implements ILayoutContext
The Class LayoutContext.

## Constructor Summary

Constructors
Constructor
Description
`LayoutContext(PictogramElement pictogramElement)`
Creates a new `LayoutContext`.

## Method Summary

### Methods inherited from class org.eclipse.graphiti.internal.features.context.impl.base.PictogramElementContext

`getPictogramElement, setPictogramElement, toString`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.IPictogramElementContext

`getPictogramElement`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

## Constructor Details

### LayoutContext

public LayoutContext(PictogramElement pictogramElement)
Creates a new `LayoutContext`.

Parameters:
  `pictogramElement` - the pictogram element